<template>
  <ModalDefault
    :title="$t('common.get_bonus')"
    :btnTitle="$t('common.accept')"
    ref="modal"
    @close="show(false, 0)"
    @submit="submit">
    <div class="modal_default-bonus flex flex-center flex-middle">
      <div class="modal_default-bonus-check"></div>
      <div class="modal_default-bonus-amount">
        {{amount}} EOS
        <div class="modal_default-bonus-amount-label">demo</div>
      </div>
    </div>
  </ModalDefault>
</template>

<script>
  import ModalDefault from '~/components/UI/Modal/Default';

  export default {
    name: "TheBonusModal",
    data() {
      return {
        amount: 0
      }
    },
    components: {
      ModalDefault
    },
    computed: {},
    methods: {
      submit() {
        this.ga('accepten');
        this.show(false, 0);
      },
      show(show = true, amount) {
        this.amount = amount;
        this.$refs['modal'].show(show);
      }
    },
  }
</script>
